Subject: Re: exec'ing scripts
From: Bryan Headley <[email-masked]>
To: [email-masked]
Date: Tue, 07 Dec 1999 07:56:46 -0600

Chris Faylor wrote:

> On Mon, Dec 06, 1999 at 04:21:22PM -0600, Bryan Headley wrote:
> >Chris Faylor wrote:
> >
> >> On Mon, Dec 06, 1999 at 01:16:32PM -0600, Bryan Headley wrote:
> >> >Is there a good rule of thumb to follow when creating scripts for cygwin
> >> >1 to run?
> >>
> >> If you are talking about executing a tcl script then it is likely that
> >> it does not support cygwin paths.  That is probably what you're seeing.
> >>
> >
> >Are you thinking of a tcl script that does an "[shell cal]" not knowing where
> >'cal' is? In my case, this is a script that has a,
> >
> >#! /bin/sh
> >exec wish
> >[tcl-ish things follow]
> >
> >The script that it executes was added to the tcl path via,
> >
> >    set auto_path [linsert $auto_path 0 /utils/lib/tkcvs]
> >
> >So I'm dubious. Plus it's the tcl that ships with cygwin 1 (you might
> >assume...) Also, I got B20 to run tkdiff out of the box. So... ???
>
> What I'm saying is that "/utils/lib/tkcvs" will be interpreted as
> x:\utils\lib\tkcvs where x: is your current drive.
>
> You may be dubious but tcl/tk does not really support cygwin.  What we
> have shipped is pretty much what you get when you build tcl/tk natively
> on Windows.

Well, I finally had to put drive prefixes in all of the paths, and make tkcvs an
alias to d:/usr/utils/tkcvs", and things
work a lot better. Whot a witch, though.

> The alternative is to rewrite tcl/tk to use Windows methods for updating
> the screen rather than X methods and no one has ever been ambitious enough
> to do this.

Probably can avoid that and rewrite the exec internals in the interpreter.
Changing how the sucker addresses the screen primitives should yield little
(besides, I thought there was a native win32 TK port somewhere. Maybe only for 4.x
series...)

--
Bryan W. Headley                               [email-masked]
LaRocque Trading LLC / DA Group                (312) 362-4889 (Voice)
440 South LaSalle Street, Suite 740            (312) 362-4924 (Fax)
Chicago IL 60605

--
Want to unsubscribe from this list?
Send a message to [email-masked]